**`Robert F. Ngwanah`[NAME]** -NL- Phone: **`(817) 903-0841`[PHONES_PHONE]** -NL- Email: **`rngwanah@gmail.com`[EMAILS_EMAIL]** -NL- **`PROFESSIONAL SUMMARY:`[SUMMARY_HEADING]** -NL- • 11+ years of IT experience as Database Architect, ETL, Hands - on AWS Technical -NL- Architect with and cloud implementation. -NL- • Hands-on experience on Architecting and securing Cloud Solutions using various -NL- AWS Services including EC2, VPC, S3, Glacier, EFS, AWS Kinesis, Lambda, Cloud -NL- Formation, Code Pipeline, Terraform, Code Deploy, Elastic Beanstalk, RDS, Data -NL- Pipeline, DynamoDB, Redshift etc. -NL- • Familiar with data architecture including data ingestion pipeline design, Hadoop -NL- information architecture, data modeling and data mining, machine learning -NL- and advanced data processing in Enterprise Data lake plate form. -NL- • Strong Experience in Developing Applications, including Dimensional Data Modeling - -NL- Star Schema, Facts & Dimensions. -NL- • Experience in AWS – platform as a Service (PaaS) and Infrastructure as a Service -NL- (IaaS). -NL- • Strong Knowledge creating ANT/ MAVEN projects with Eclipse to build scripts / jar -NL- files for Deployment. -NL- • Expertise in architecting Big data solutions using Data ingestion, Data Storage with -NL- AWS Data Lake with Hadoop. -NL- • Experienced in extract transform and load (ETL) processing large datasets of different -NL- forms including structured, semi-structured and unstructured data. -NL- • Extensively worked on CI/CD pipeline for code deployment by engaging different tools -NL- • Having good Knowledge in Amazon Simple DB, Amazon RDS, NOSQL data base like -NL- DynamoDB -NL- • Selecting the appropriate AWS service based on compute, data, or security -NL- requirements. -NL- • Experience in Integration of Amazon Web Services AWS with other applications -NL- infrastructure. -NL- • Experience in migrating existing databases from on premise to AWS Redshift using -NL- various AWS services -NL- • Identifying appropriate use of AWS Architectural best practices. -NL- • Extensive knowledge in all phases of Software Development Life Cycle SDLC -NL- Requirement Analysis, Design, Development, Testing and Documentation. -NL- • Lift and shift of an existing on-premises application to AWS. -NL- • Expertise in creating databases, users, tables, triggers, macros, views, stored -NL- procedures, functions, Packages, joins in databases using PL/SQL and Involved in -NL- performance tuning. -NL- • Setting up AWS Oracle RDS databases for new project, use data pump to migrate data -NL- to Relational Database Services (RDS). -NL- **`SKILLS PROFILE:`[SKILLS_HEADING]** -NL- • DATA BASE \ETL: Oracle 11g\12C, SQL Server 208, DB2, Teradata, VPD, ODI, BICS, -NL- Dynamo DB, -NL- • AWS Services: Ec2, Elastic Beanstalk, EFS, VPC, RDS, S3, Glacier, IAM, Terraform, -NL- Cloud Front, Cloud Watch, Cloud Trail, Cloud Formation, Lambda, Route53, SNS, -NL- Data Lake, API Gateway, Code Pipeline, Code Build, Elastic Search, Code Deploy etc. -NL- • DATA MODEL: Erwin, SQL Developer, Toad -NL- • ORACLE APPS: Oracle EBS Suit R12.1\11i, PL / SQL -NL- • BIG DATA: EMR, Apache Hadoop, Spark, Hive, Pig. -NL- • OPERATING SYSTEMS: Windows XP, 7 &10, Unix\Linux -NL- • CLOUD PLATEFORM: AWS Cloud Services, Python, Redshift -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- • Certifications (Oracle Business Intelligence Foundation 10/11g Essentials) - 2012 -NL- Mather point, Inc. -NL- • Certificate OBIEE Core Training Irving TX - 2011 - North Lake College -NL- • Certification in Microsoft Network Professional - Microsoft Corporation -NL- • **`Miami Dade Community`[EDUCATION_INSTITUTE]**, **`Computer Sciences`[EDUCATION_DEGREE]**. (College, Miami, FL. – 1997) -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`IBM / State Farm`[EMPLOYER_COMPANY_NAME]** Atlanta, GA. -NL- Oct 2019 - Present -NL- **`AWS Data / Solutions Architect`[EMPLOYER_ROLE]** -NL- • Design, implement and maintain all AWS infrastructure and services within a -NL- managed service environment -NL- • Provisioned Infrastructure as code with Terraform to lunch a EC2 Instances -NL- then a Linux EC2 Instances. -NL- • Work with distributed teams to design and develop frameworks, solution -NL- accelerators, proofs of concept, and external customer facing products -NL- • Enterprise data lake architecture integrating various data sources on -NL- Hadoop architecture. -NL- • Spinning AWS serves like EC2, VPC, EMR with terraform code for CI/CD use -NL- case requirements -NL- • Written various Lambda function code in python for automating the -NL- functionality on the Cloud. -NL- • Configured and managed various AWS Services including EC2, RDS, VPC, S3, -NL- EMR, Cloud Watch, Cloud Front, and Route 53 etc. -NL- • Worked with Spark and Python. -NL- • Analyze website logs and streaming Data on Amazon DynamoDB with Apache -NL- Spark -NL- • Responsible for configuring and securing the infrastructure on AWS Cloud -NL- • Responsible for Continuous Integration (CI) and Continuous Delivery (CD) -NL- process. -NL- • Create hive database, table and load data using HiveQL in EMR cluster -NL- • Schedule a step job in EMR cluster with Hive and Spark job with terraform -NL- code -NL- • Convert CSV and TXTfiles in EMR cluster with Hive code to parquetfiles -NL- **`LTC`[EMPLOYER_COMPANY_NAME]** - New Orleans, LA -NL- Feb 2018 – Sep 2019 -NL- **`AWS Data / Solutions Architect`[EMPLOYER_ROLE]** -NL- • Good Experience in architecting and configuring secure cloud VPC using private and -NL- public networks through subnets in AWS. -NL- • Lead the design of the ETL solution oversee the ETL low-level design and -NL- design phase deliverables -NL- • Utilized ODI in-built Journalizing (J$ tables) methodology to manage and -NL- maintain Change Data Capture (CDC) from source data. -NL- • Perform data migration from on premises environments into AWS. -NL- • Experience on moving the raw data between different systems accounts -NL- using AWS Data lake. -NL- • Initiating alarms in Cloud Watch service for monitoring the server's -NL- performance, CPU Utilization, disk usage etc. to take recommended actions for -NL- better performance. -NL- • Worked as a Hadoop consultant on (Map Reduce/HIVE/Sqoop). -NL- • Created S3 buckets also managing policies for S3 buckets and Utilized S3 -NL- bucket for storage and backup on AWS. -NL- • Migrate and deploy data and applications from on perm to AWS cloud solution -NL- to an Oracle platform to AWS Redshift. -NL- • Conducted code reviews and planned the knowledge transfer to client. -NL- Designed and Developed ETL jobs to extract data from Salesforce replica and -NL- load it in data mart in Redshift. -NL- • Setup of Cloud Watch alarms, setting up Cloud Trail, creating S3 buckets. -NL- • Load data into Amazon Redshift and use AWS Cloud Watch to collect and monitor -NL- AWS RDS instances within Confidential. -NL- • Created scripts in Python, which integrated with Amazon API to control instance -NL- operations. -NL- • Created configurationfile for seeding hive tables to Oracle database -NL- • Performed analysis in hive on data sitting on HDFS -NL- • Create hive database, table and load data -NL- • Write and execute scripts to seed transformed data into Oracle database -NL- • Used Sqoop to import and export data between Hadoop and RDBMS -NL- • Perform ETL Testing by validating data. -NL- • Developed and executed a migration strategy to move Data Warehouse from -NL- **`Infosys – Exelon Corp`[EMPLOYER_COMPANY_NAME]** - Baltimore, MD -NL- July 2017 - Jan 2018 -NL- AWS Solution Architect -NL- • Proficient in AWS services like VPC, EC2, S3, ELB, Auto Scaling Groups (ASG), EBS, RDS, -NL- Cloud Formation, Route 53, Cloud Watch, Cloud Front, and Cloud Trail. -NL- • POC on Implementing AWS Kinesis based consumers in Lambda and pipeline data to a -NL- data lake while allowing real time analytics using Dynamo DB -NL- • Design and Compile ETL Technical Design document for ODI Architecture, referring to -NL- Business requirements from customer information FDD and corresponding data -NL- mappings. -NL- • Designed AWS infrastructure to handle more than 500 concurrent users on web server. -NL- • Designed and developed ETL/ELT processes to handle data migration from multiple -NL- business units and sources including Oracle, Access and others. -NL- • Worked on AWS to provision new instances, S3 Storage Services, CI/CD pipeline -NL- management through Jenkins. -NL- • Participated in daily meetings to discuss upcoming work, schedules and status, -NL- attending review meetings and walkthroughs with Architect, Quality team and -NL- Developers discussing queries related to defects. -NL- • Monitor and create alarms for CPU, memory, disk space, using Cloud Watch. -NL- • Amazon IAM was used to maintain the user credentials and involved in creating -NL- custom IAM policies to various groups defined within the organization. -NL- • Used security groups, network ACL’s, internet gateways and route tables to ensure a -NL- secure zone for organization in AWS public cloud. -NL- • Created Hive External tables and loaded the data into tables and query data using -NL- HQL. -NL- • Worked on Amazon S3 and Amazon Glacier Integration for Data storage -NL- • Created a pipeline that retrieved source application from Amazon S3 bucket and -NL- deploy it to EC2 instances using AWS Code deploy. -NL- • Utilize Cloud Watch to monitor resources such as EC2, CPU memory, Amazon RDS DB -NL- services, Dynamo DB -NL- • Used Dynamo DB and Elastic-cache to perform basic database administration. -NL- • Involve in design high availability applications on AWS across availability zones and -NL- availability regions. -NL- • Built a VPC, established the site-to- site VPN connection between Data Center and -NL- AWS. -NL- • Optimized the knowledge modules to improve the functionality of the process. -NL- **`Datival, Boar's head`[EMPLOYER_COMPANY_NAME]** -Sarasota, FL -NL- Jan 2016 – June 2017 -NL- **`AWS Consultant`[EMPLOYER_ROLE]** -NL- • Owned and managed all changes to the data models. Created data models, solution -NL- designs and data architecture documentation for Boar’s Head information systems. -NL- • Did extensive data analysis using source data and UI to understand the data, to assist -NL- data modeler in designing the databases, to identify bad data, to help Business in -NL- improving and redefining the requirements. -NL- • Support the organizational data warehouse through appropriate utilization of ETL tools -NL- • Architected all the ETL data loads coming in from the source system and loading into -NL- the data warehouse. -NL- • Utilize AWS services with focus on big data Architect /analytics / enterprise data -NL- warehouse and business intelligence solutions to ensure optimal architecture, -NL- scalability,flexibility, availability, performance, and to provide meaningful and valuable -NL- information for better decision-making. -NL- • Modified the existing ODI interfaces in both category 1 & II used cases and created -NL- custom interfaces, Packages, variables, scenarios, LP etc. for Universal adaptor to get -NL- the Financials and Manufacture Analytics into the Data warehouse. -NL- • Design AWS architecture, Cloud migration, AWS EMR, Dynamo DB, Redshift and event -NL- processing using lambda function. -NL- • Worked with project and application teams to ensure that they understand and fully -NL- comply with data quality standards, architectural guidelines and designs. -NL- • Other tasks included were documenting ODI Installation and Configuration process, -NL- Design and Technical documentation for the developed ETL processes. -NL- • Analysis, Design, Implementation, documentations and BI specifications that -NL- incorporate OBIEE development standards best practices as well as ongoing support for -NL- Data Warehouse. -NL- • Involved in SQL Query tuning and provided tuning recommendations to SQL ETL -NL- materialized Views to populate DWH tables. -NL- • Report to the senior project lead with weekly and monthly project status report -NL- • Involving in Unit Testing, Validating Reports and production support. -NL- **`PaypalCorp`[EMPLOYER_COMPANY_NAME]** - Omaha, NE -NL- Nov 2014 – Nov 2015 -NL- **`Data / ETL Engineer`[EMPLOYER_ROLE]** -NL- • Responsible for Business meetings, conversion of business rules into technical design -NL- document. -NL- • Developed data Mart for the base data in Star Schema, Snow-Flake Schema involved in -NL- developing the data warehouse for the database. -NL- • Installation of OKA, ODI 11.1.1.8, Staging and reporting databases as per Oracle -NL- standards. -NL- • Participated in code reviews. Did code promotions from dev to test, staging and -NL- production environment using ODI. -NL- • Wrote detailed design specs for ETL. Converted the functional specs written by Data -NL- Modelers into the detailed design spec for ETL. These specs were used in the -NL- development of code using ODI -NL- • Administered Permissions and Privileges for dashboard visibility and modifications to -NL- Users based on their groups or responsibilities. -NL- • Created a Data Mapping document after each assignment and wrote the -NL- transformation rules for eachfield as applicable. -NL- • Involved in migration projects to migrate data from data warehouses on Oracle/DB2 -NL- and migrated those to Teradata. -NL- • Used Knowledge modules to achieve client requirements such as connecting to specific -NL- technology, extracting data from it, transforming the data and integrating it. -NL- • Troubleshoot the process or production issues and resolve the problems -NL- • Used SQL tools like SQL Developer to run SQL and PL/SQL queries and validate the data -NL- loaded into the target tables. -NL- • Worked with QA team to design test plan for user Acceptance Testing (UAT) -NL- • Performed stakeholder analysis team and weekly status reports to leadership teams -NL- **`USDA`[EMPLOYER_COMPANY_NAME]** - St. Louis, MO -NL- October 2013 – October 2014 -NL- **`Data Analyst`[EMPLOYER_ROLE]** -NL- • Involved in requirement gatherings and Analyzed Functional & technical design -NL- documents. -NL- • Created master & work repositories and configured ODI connections for source and -NL- target systems in topology. -NL- • Used ODI 11g for extraction, loading and transformation ETL of data in the data -NL- warehouse -NL- • Configured Oracle BI Applications Configuration Manager and Oracle Data Integrator, -NL- Oracle BI Applications Functional Setup Manager. -NL- • Modified the existing ODI interfaces and created custom interfaces for Universal -NL- adaptor to get the standard Enterprise Asset Management Analytics -NL- • Configured Oracle Data integrator ODI Master Repository Work Repository on Oracle -NL- Database. -NL- • Used Yellow Interfaces Reusable mappings in ODI 12c for developing most complex -NL- interfaces. -NL- • Loaded data from different source systems to target warehouse using interfaces with -NL- Knowledge modules like LKM, IKM and CKM for data quality check -NL- • Customized ODI Projects, Packages and Interfaces to extract the data from Oracle EBS -NL- database load to OBAW. -NL- • Involved on OBIA 11g performance recommendations in hardware, software, OBAW -NL- and ETL Performa -NL- • Involved in Knowledge transfer to **`USDA`[EMPLOYER_COMPANY_NAME]** IT Developer on various issues and product -NL- maintenance. -NL- **`Savanna River Nuclear Solutions`[EMPLOYER_COMPANY_NAME]** - Aiken, SC -NL- January 2012 – September 2013 -NL- **`ETL / Data Warehouse developer`[EMPLOYER_ROLE]** -NL- • Gather requirements from client or end-users to develop a layout plan. -NL- • Worked with DBA and SQL developers to create jobs and schedules to build -NL- materialized views. -NL- • Customized OBIA ETL mappings and table extensions to design the Star Schema and -NL- populate the Data warehouse based on business requirements. -NL- • The solution included DB2 configuration, data modeling, and identification of trusted -NL- data sources, database creation, and ETL processes. -NL- • Used Normalizer transformation with COBOL sources stored in DB2. -NL- • Involved in co-coordinating onsite-offshore teams in various life cycles of the projects -NL- • Validated technical design created by developers against functional specifications. -NL- • Assisted in integrating OBIEE application with Oracle RDBMS database. -NL- • Implemented User access, authentication and authorization following best practices in -NL- the Repository. -NL- • Experience in optimizing query performance, session performance andfine tuning the -NL- mappings for optimum performance -NL- • Customized the RPD with the requirements of the End User. Designed and Developed -NL- the three layers (Physical, BMM, Presentation) -NL- • Worked on administration of OBIEE Cache management, Security Management for -NL- Users, groups and web groups using the various authentication system such as LDAP -NL- Authentication using Session variable as well as Dash board / Report level Security. -NL- • Developed test cases and performed Unit Testing and Integration Testing of the -NL- Repository and Web Catalogs -NL- **`eBay Enterprise`[EMPLOYER_COMPANY_NAME]**. Long Island, NY -NL- January 2008 – Dec 2011 -NL- **`BI / Data Warehouse Developer`[EMPLOYER_ROLE]** -NL- • Gathered requirements from the client for GAP analysis, translated them into technical -NL- design documents and worked with team members in making recommendations to -NL- close the GAP. -NL- • Configured Oracle Data integrator ODI Master Repository Work Repository on Oracle -NL- Database. -NL- • Identified the facts and dimensions and designed the relevant dim and fact tables. -NL- • Worked on Oracle Data Integrator components like Designer, Operator, Topology and -NL- Security Components. -NL- • Used various cache management techniques for performance tuning including -NL- configuring, defining cache parameters, cache persistence time, cache seeding and -NL- purging, and event polling. -NL- • Performed Installation and upgrade discovery of Oracle 10.1.3g to Oracle 11g -NL- Enterprise Edition, as well as Migrated Analytic RPD and web catalog from one -NL- environment to another. -NL- • Managed the onshore and offshore deliverables and maintained a highly organized and -NL- streamlined environment -NL- • Worked with Business Analyst and analyzed the business requirements for developing -NL- the repository and extraction of reports. -NL- • Involved in RPD Development, Oracle BI Administration, Oracle BI Answers, Scheduling -NL- IBOTS and BI Publisher. -NL- • Created OBIEE reports and Dashboards for the Marketing Operations of the -NL- Organization. -NL- 